Subject: Re: Hammer Dies

From: [email-masked] (Clay Spencer)
Date: Mon, 22 Jan 1996 22:32:05 -0600

At 7:57 AM 1/22/96, D. M. Dickie wrote:
>I have a 25 lb. Little Giant hammer with drawing (they have a slight crown)
>dies. I have just seen Clifton Ralph's videos, and am intrigued by the
>additional possibilities offered by the use of flat dies, though I realize
>they are limited by the size of my hammer.

The use of flat dies in a 25 lb hammer is seriously limited.
I have used flat dies some in my 25 and am not very satisfied with the
results. Keep your drawing dies.
The biggest advantage of flat dies in the 25 is that your tools are easier
to control on the flat surfaces.
Clay